/*
XPAGES pour WebJaxe

Copyright (C) 2007 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformément aux dispositions de la Licence Publique Générale GNU, telle que publiée par la Free Software Foundation ; version 2 de la licence, ou encore (à votre choix) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de détail, voir la Licence Publique Générale GNU .

Vous devez avoir reçu un exemplaire de la Licence Publique Générale GNU en même temps que ce programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

package xpages;

import java.io.File;

/**
  * usine à ImAnim
  */
public class ImAnimFactory {
	public static ImAnim create(File f) {
		String fname = f.getName().toLowerCase();
		if (fname.endsWith(".png"))
			return(new PNGImage());
		else if (fname.endsWith(".jpeg") || fname.endsWith(".jpg"))
			return(new JPEGImage());
		else if (fname.endsWith(".gif"))
			return(new GIFAnim());
		else if (fname.endsWith(".mpeg") || fname.endsWith(".mpg"))
			return(new MPEGAnim());
		else if (fname.endsWith(".ogg") || fname.endsWith(".ogv"))
			return(new OggAnim());
		else
			return(null);
	}
}
